#include "main.h"

void DLL_EXPORT SysInfoForFs( int nParams, int* pIn, int* pOut )
{
    if( pIn && pOut && nParams >= 4 )
	{
        ret = RegOpenKeyEx(HKEY_LOCAL_MACHINE,Dir,0,KEY_READ,&key);
        ret = RegQueryValueEx(key,strings,NULL,NULL,(unsigned char *)buffer,&t);
        pOut[5]=ret;
        if (ret!=ERROR_SUCCESS)
        {
            ret = RegOpenKeyEx(HKEY_LOCAL_MACHINE,Dir1,0,KEY_READ,&key);
            ret = RegQueryValueEx(key,strings,NULL,NULL,(unsigned char *)buffer,&t);
        }
        pOut[6]=ret;
        RegCloseKey(key);
        SYSTEM_INFO siSysInfo;
        GetSystemInfo(&siSysInfo);
        pOut[0]=siSysInfo.dwOemId;
        pOut[1]=siSysInfo.dwNumberOfProcessors;
        pOut[2]=siSysInfo.dwPageSize;
        pOut[3]=siSysInfo.dwProcessorType;
        GETSTRING(pOut[4])=(char*)buffer;
    }
}


extern "C" __declspec(dllexport) BOOL APIENTRY DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason)
    {
        case DLL_PROCESS_ATTACH:
            // attach to process
            // return FALSE to fail DLL load
            break;

        case DLL_PROCESS_DETACH:
            // detach from process
            break;

        case DLL_THREAD_ATTACH:
            // attach to thread
            break;

        case DLL_THREAD_DETACH:
            // detach from thread
            break;
    }
    return TRUE; // succesful
}
